Data Structures | Defines | Typedefs

# gfx_layout.h File Reference

Functions related to laying out the texts. More...

`#include "fontcache.h"`
`#include "gfx_func.h"`
`#include "core/smallmap_type.hpp"`
`#include "layout/ParagraphLayout.h"`

Go to the source code of this file.

## Data Structures
class | ICU_FONTINSTANCE
| Container with information about a font. More...
class | Layouter
| The layouter performs all the layout work. More...
## Defines
#define | ICU_FONTINSTANCE : public LEFontInstance
## Typedefs
typedef SmallMap< int, Font * > | FontMap
| Mapping from index to font.

## Detailed Description

Functions related to laying out the texts.

Definition in file gfx_layout.h.

## Typedef Documentation

typedef SmallMap<int, Font *> FontMap

Mapping from index to font.

Definition at line 56 of file gfx_layout.h.